unit Unit2;

interface

uses ExtCtrls, Graphics;

type TLabda = class
                private
                  hova:TImage;
                  sz:integer;
                public
                  x,y,dx,dy,d,r:integer;
                  constructor Create(kx,ky,kdx,kdy,ksz,kd:integer; khova:TImage);
                  procedure Kirajzol;
                  procedure Letorol;
                  procedure Mozgat;
                end;

implementation

constructor TLabda.Create;
begin
  x:=kx;
  y:=ky;
  dx:=kdx;
  dy:=kdy;
  sz:=ksz;
  d:=kd;
  r:=round(d/2);
  hova:=khova;
end;

procedure TLabda.Kirajzol;
begin
  hova.Canvas.Pen.Color := sz;
  hova.Canvas.Pen.Width := 2;
  hova.Canvas.Brush.Color := sz;
  hova.Canvas.Ellipse(x-r,y-r,x+r,y+r);
end;

procedure TLabda.Letorol;
begin
  hova.Canvas.Pen.Color := clWhite;
  hova.Canvas.Pen.Width := 2;
  hova.Canvas.Brush.Color := clWhite;
  hova.Canvas.Ellipse(x-r,y-r,x+r,y+r);
end;

procedure TLabda.Mozgat;
begin
  Letorol;
  x:=x+dx;
  y:=y+dy;
  if (x+dx+r>hova.Width) or (x+dx-r<0) then dx:=-dx;
  if (y+dy+r>hova.Height) or (y+dy-r<0) then dy:=-dy;
  Kirajzol;
end;

end.
